/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: VersionIdentifier.idl,v $
 * $Revision: 1.7 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/
#ifndef __com_sun_star_setup_VersionIdentifier_idl__ 
#define __com_sun_star_setup_VersionIdentifier_idl__ 
 
#include <com/sun/star/setup/OSType.idl> 
 
module com {  module sun {  module star {  module setup { 
     
/// @deprecated
published struct VersionIdentifier
{
    // DocMerge: empty anyway
    OSType 						eOSType; 
        
    // DocMerge: empty anyway
    short						nLanguage; 
        
    // DocMerge: empty anyway
    long						nBuildnumber; 
        
    // DocMerge: empty anyway
    string 						strProductKey; 
 
    // DocMerge: empty anyway
    string						strInstLanguages; 
        
    // DocMerge: empty anyway
    string 						strInstMinor; 
    }; 
}; }; }; }; 
 
#endif 
